import java.awt.*;
import java.awt.event.*;
import javax.swing.*;

public class adrespanel extends JPanel {
   private JPanel labelPanel, fieldsPanel;
   private String labels[] =
                 { "ID :", "isim :", "soy isim :",
                   "adres :", "ilçe:", "il :",
                   "posta kodu :", "ülke :", "Email adresi :",
                   "ev telefonu :", "iş telefonu :",
                   "cep telefonu :", "faks :",
                   "web adresi :", "ev adresi :"};
   JTextField id, isim, soyisim, adres,     // alan isimleri
              ilce, il,postakodu,ulke,emailadresi,telefonev,
              telefonis,telefoncep,faks,webadresi,evadresi;
   public adrespanel()
   {  // Label
      labelPanel = new JPanel();
      labelPanel.setLayout(
                       new GridLayout( labels.length, 1 ) );
      ImageIcon ii = new ImageIcon( "images/icon.jpg" );
      for ( int i = 0; i < labels.length; i++ )
         labelPanel.add( new JLabel( labels[ i ], ii, 0) );
      // TextField panel
      fieldsPanel = new JPanel();
      fieldsPanel.setLayout(
                        new GridLayout( labels.length, 1 ) );
      id = new JTextField( 20 );
      id.setEditable( false );
      fieldsPanel.add( id );
      isim = new JTextField( 20 );
      fieldsPanel.add( isim );
      soyisim = new JTextField( 20 );
      fieldsPanel.add( soyisim );
      adres = new JTextField( 20 );
      fieldsPanel.add( adres );
      ilce = new JTextField( 20 );
      fieldsPanel.add( ilce );
      il = new JTextField( 20 );
      fieldsPanel.add( il );
      postakodu = new JTextField( 20 );
      fieldsPanel.add( postakodu );
      ulke = new JTextField( 20 );
       fieldsPanel.add( ulke );
      emailadresi = new JTextField( 20 );
       fieldsPanel.add( emailadresi);
      telefonev = new JTextField( 20 );
      fieldsPanel.add( telefonev );
      telefonis = new JTextField( 20 );
      fieldsPanel.add( telefonis );
      telefoncep = new JTextField( 20 );
      fieldsPanel.add( telefoncep );
      faks = new JTextField( 20 );
      fieldsPanel.add( faks );
      webadresi = new JTextField( 20 );
      fieldsPanel.add( webadresi );
      evadresi = new JTextField( 20 );
      fieldsPanel.add( evadresi );
      setLayout( new GridLayout( 1, 2 ) );
      add( labelPanel );
      add( fieldsPanel );
   }
}


